package io.renren.application.common.service;

import com.baomidou.mybatisplus.extension.service.IService;
import io.renren.application.common.dto.ChaoXiangParamDto;
import io.renren.application.common.dto.ChaoXiangTimeDto;
import io.renren.application.common.entity.SysPublicParam;
import io.renren.application.common.vo.ChaoXiangParamVo;
import io.renren.application.common.vo.Results;
import org.springframework.web.bind.annotation.RequestBody;

public interface SysPublicParamService extends IService<SysPublicParam> {

    Results modeifyParam(ChaoXiangParamDto dto);

    Results<ChaoXiangParamVo> getAllWeekParam();

    Results<String> getWeekParam();

    Results<Integer> getAdsTime();

    Results modifyAdsTime(@RequestBody ChaoXiangTimeDto dto);

    Results hasStock(Integer checkTime);
}
